package com.siwei.rsmonitoring.mapper;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDkjbxxState;

/**
 * 地块基本信息状态记录Mapper接口
 * 
 * @author siwei
 * @date 2025-02-14
 */
public interface TDkjbxxStateMapper 
{
    /**
     * 查询地块基本信息状态记录
     * 
     * @param id 地块基本信息状态记录主键
     * @return 地块基本信息状态记录
     */
    public TDkjbxxState selectTDkjbxxStateById(String id);

    /**
     * 查询地块基本信息状态记录列表
     * 
     * @param tDkjbxxState 地块基本信息状态记录
     * @return 地块基本信息状态记录集合
     */
    public List<TDkjbxxState> selectTDkjbxxStateList(TDkjbxxState tDkjbxxState);

    /**
     * 新增地块基本信息状态记录
     * 
     * @param tDkjbxxState 地块基本信息状态记录
     * @return 结果
     */
    public int insertTDkjbxxState(TDkjbxxState tDkjbxxState);

    /**
     * 修改地块基本信息状态记录
     * 
     * @param tDkjbxxState 地块基本信息状态记录
     * @return 结果
     */
    public int updateTDkjbxxState(TDkjbxxState tDkjbxxState);

    /**
     * 删除地块基本信息状态记录
     * 
     * @param id 地块基本信息状态记录主键
     * @return 结果
     */
    public int deleteTDkjbxxStateById(String id);

    /**
     * 批量删除地块基本信息状态记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDkjbxxStateByIds(String[] ids);
}
